Revoke access to a project
curl --request DELETE \
--url https://app.miget.com/api/v1/projects/{project_id}/restrictions/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://app.miget.com/api/v1/projects/{project_id}/restrictions/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: '<api-key>'}};
fetch('https://app.miget.com/api/v1/projects/{project_id}/restrictions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Projects
Revoke access to a project
Removes one entry from the project’s access list. Removing the last entry reopens the project to the whole workspace, which is the only way back to the default state.
DELETE
/
api
/
v1
/
projects
/
{project_id}
/
restrictions
/
{id}
Revoke access to a project
Authorizations
Bearer token for authentication. Format: 'Bearer {token}'
Headers
Workspace ID (uses default workspace if not provided)
Path Parameters
Project ID or UUID
Access entry ID, as returned in the project's restrictions list
Response
Revoke access to a project
⌘I

